import {request} from "@/api/request";

export interface AdwareParams {
  key: string
  value: string

  [key: string]: string
}

export interface AdwareLinkType {
  id: number
  api_name: string
  path: string
  param: string
}

export interface AdwareType {
  advert_link: AdwareLinkType
  scope_id: number | string
  id: number
  name: string
  status: 0 | 1 // 禁用
  sort: number
  image_url: string
  image_link: string
  start_time: number
  end_time?: number
}

export const HomeApi = {
  advert(only_flag: string) {
    return request<AdwareType[]>("/home/v1/advert/unique?only_flag=" + only_flag, "GET")
  },
  course(page: number, page_size: number) {
    return request<{ data: Curriculum[], total: number }>('/home/v1/course/course', "GET", {page, page_size})
  },
  /** 健康管理 */
  health(page: number, page_size: number) {
    return request<{ data: Health[], total: number }>('/home/v1/health/index', "GET", {page, page_size})
  }
}
